libreoffice-rs 0.2.1

Rust binding for LibreOfficeKit
docs.rs failed to build libreoffice-rs-0.2.1
Please check the build logs for more information.
See Builds for ideas on how to fix a failed build, or Metadata for how to configure docs.rs builds.
If you believe this is docs.rs' fault, open an issue.

libreofficeKit-rs

Rust bindings to LibreOfficeKit

Installation

[dependencies]
libreoffice-rs = 0.1

you need install LibreOffice, Debian 11 for example:

$ sudo apt-get install libreoffice-core libreofficekit-dev libclang-dev
# set env variable `LO_INCLUDE_PATH` to the LibreOffice headers.
$ export LO_INCLUDE_PATH=/usr/include/LibreOfficeKit

due to this issue , here use a libwrapper.a to carry static funtion lok_init which defined in LibreOfficeKitInit.h.

Example

  use libreoffice_rs::Office;
  // your libreoffice installation path
  let mut office = Office::new("/usr/lib/libreoffice/program");
  let mut doc = office.document_load("/tmp/test.doc");
  doc.save_as("/tmp/test.pdf", "pdf", None);